spring.main.allow-bean-definition-overriding: true

spring:
  application:
    name: sender
    upper: SENDER
  profiles.active: local
#  boot.admin.client.url: ${ADMIN_CLUSTER_URI:http://localhost:8003}
  config:
    enabled: true
    label: v1.0
    uri: ${GATEWAY_CLUSTER_URI:http://localhost:8000}
  cloud:
    config:
      enabled: true
      label: v1.0
      uri: ${GATEWAY_CLUSTER_URI:http://localhost:8000}
  sleuth:
    sampler.percentage: 1.0
    web.skipPattern: (^cleanup.*)

logging:
  level:
    root: info
    it.posteitaliane.pec.sender: DEBUG
    it.posteitaliane.pec.smtp: DEBUG
    com.rabbitmq.http.client: DEBUG
#    org.springframework.integration: DEBUG
    javax.mail.event: DEBUG
#  pattern:
#    console: '%d{yyyy-MMM-dd HH:mm:ss.SSS} %-5level [%thread] %logger{15} - %msg%n'
